Robotics Service Bus - Tasks #525
Python client example is broken for 0.4
08/29/2011 03:03 PM - J. Wienke

Status: Resolved Start date: 08/29/2011
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Python Estimated time: 0.00 hour
Target version: 0.4

Description

there is no timeout argument.

Associated revisions

Revision 71ce2bdc - 08/30/2011 01:49 AM - J. Moringen
Fixed missing timeout parameter in DataFuture in rsb/patterns/future.py
fixes #525
- rsb/patterns/future.py: in Future.get, only raise the TimeoutError,
if the result did arrive in the meantime; added timeout keyword
parameter to DataFutre.get
- examples/client.py: demonstrate synchronous and asynchronous method
calls separately; use a timeout in the asynchronous case; changed
name of called method to "echo" which is more appropriate
- examples/server.py: use different method names in differently
constructed servers; added some comments explaining the different

kinds of server construction methods

History

#1 - 08/30/2011 01:50 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2460.
